For the complete documentation index, see llms.txt. This page is also available as Markdown.

Plans

Get Plans

get

To get a plan's file, use the GET: Get Plan endpoint.

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Query parameters
limitinteger · min: 1 · max: 1000OptionalDefault: 1000
pageintegerOptionalDefault: 1
propertystringOptional

Comma separated property IDs

Example: cksq4ybpq104zwgwh2gd1vvha
assetstringOptionalDeprecated

Use property instead

Responses
200Success
application/json
totalintegerOptionalExample: 130
get/plans
GET /plans HTTP/1.1
Host: api3.riskbase.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "total": 130,
  "plans": [
    {
      "id": "vs8wco44wosgssscww4o880c",
      "property": "cksq4ybpq104zwgwh2gd1vvha",
      "asset": "cksq4ybpq104zwgwh2gd1vvha",
      "name": "Ground Floor",
      "description": "This plan shows the ground floor of the building",
      "type": "floor",
      "data": {
        "type": "image",
        "format": "jpeg",
        "width": 1920,
        "height": 1080
      }
    }
  ]
}

Get Plan

get

Get plan info and file (PDF, SVG, Image)

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
planstring · UIDRequired
Responses
200Success
application/json
idstring · UIDOptional
propertystring · UIDOptional

ID of property this plan is linked to

assetstring · UIDOptionalDeprecated

Use property instead

namestringOptional
descriptionstringOptional
typestring · enumOptionalPossible values:
dataone ofOptional
get/plans/{plan}
GET /plans/{plan} HTTP/1.1
Host: api3.riskbase.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
[
  {
    "id": "vs8wco44wosgssscww4o880c",
    "property": "cksq4ybpq104zwgwh2gd1vvha",
    "asset": "cksq4ybpq104zwgwh2gd1vvha",
    "name": "Ground Floor",
    "description": "This plan shows the ground floor of the building",
    "type": "floor",
    "data": {
      "type": "image",
      "format": "jpeg",
      "width": 1920,
      "height": 1080,
      "base64Content": "..."
    }
  }
]

Last updated

Was this helpful?